#ifndef QGPYTHON_H
#define QGPYTHON_H

#include <QObject>

#include "PythonQt.h"

class QgPython: public QObject
{
    Q_OBJECT

public:
    static QgPython& instance();
    static void initialize();

    PythonQt& self() const;

    PythonQtObjectPtr mainContext();

    PythonQtObjectPtr createMainApplicationModule(const QString& module_name);

    PythonQtObjectPtr mainModule();

private:
    QgPython();

};

#endif // QGPYTHON_H
